function buscarGrupos(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formGrupos.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busGrupos/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblGrupos");
      jsonJS.clasi.forEach(function(i){
        addRowGrupos(i.cla_cod, i.cla_nom);
      });

      $("#tblGrupos tbody tr").dblclick(function() {
        selectGrupos(a, $(this));
      });

      $("#tblGrupos tbody #btnSelecGrupos").click(function() {
        selectGrupos(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowGrupos(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecGrupos'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblGrupos tbody").append(markup);
}

function selectGrupos(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblGrupos");
}